package cz.vsb.fei.efrei.lab04;

public class Stopwatch {

	private long startTime;
	private long endTime;

	public void start() {
		startTime = System.nanoTime();
	}

	public void stop() {
		endTime = System.nanoTime();
	}

	public long getDuration() {
		return endTime - startTime;
	}

	public String formatDuration() {
		long timeDuration = getDuration();
		long timeNanoSec = timeDuration % 1000;
		timeDuration = timeDuration / 1000;
		long timeMicroSec = timeDuration % 1000;
		timeDuration = timeDuration / 1000;
		long timeMiliSec = timeDuration % 1000;
		timeDuration = timeDuration / 1000;
		long timeSec = timeDuration % 60;
		timeDuration = timeDuration / 60;
		long timeMinutes = timeDuration;
		return String.format("%2dmin %2ds %3dms %3dus %3dns", timeMinutes, timeSec, timeMiliSec, timeMicroSec,
				timeNanoSec);
	}
}
